Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class SecurityIdentification14

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.SecurityIdentification14

    public class SecurityIdentification14
    extends java.lang.Object

Java class for SecurityIdentification14 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SecurityIdentification14">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ISIN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ISINIdentifier" minOccurs="0"/>
             <element name="OthrId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}OtherIdentification1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Desc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `desc`
`protected java.lang.String` `isin`
`protected java.util.List<OtherIdentification1>` `othrId`

### Constructor Summary

Constructors
`SecurityIdentification14()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDesc()` Gets the value of the desc property.
`java.lang.String` `getISIN()` Gets the value of the isin property.
`java.util.List<OtherIdentification1>` `getOthrId()` Gets the value of the othrId property.
`void` `setDesc​(java.lang.String value)` Sets the value of the desc property.
`void` `setISIN​(java.lang.String value)` Sets the value of the isin property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isin

    protected java.lang.String isin

#### othrId

    protected java.util.List<OtherIdentification1> othrId

#### desc

    protected java.lang.String desc

### Constructor Detail

#### SecurityIdentification14

    public SecurityIdentification14()

### Method Detail

#### getISIN

    public java.lang.String getISIN()

Gets the value of the isin property.

Returns:
  possible object is `String`

#### setISIN

    public void setISIN​(java.lang.String value)

Sets the value of the isin property.

Parameters:
  `value` - allowed object is `String`

#### getOthrId

    public java.util.List<OtherIdentification1> getOthrId()

Gets the value of the othrId property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the othrId property.

For example, to add a new item, do as follows:

        getOthrId().add(newItem);

Objects of the following type(s) are allowed in the list `OtherIdentification1`

#### getDesc

    public java.lang.String getDesc()

Gets the value of the desc property.

Returns:
  possible object is `String`

#### setDesc

    public void setDesc​(java.lang.String value)

Sets the value of the desc property.

Parameters:
  `value` - allowed object is `String`